Subject: (Fw) (Re) Re: AODV:How about adding a common header...

From: [email-masked]
Date: Mon, 19 Nov 2001 15:35:36 +0900

Hi all,
Sorry i was on leave all these days.
My basic question is why we  should we depend on IP .I for as i think our AODV or for that matter 
any protocol should be independent of the layers above and bellow it.

Also Draft  syas that AODV needs some IP header processing ( Ithink this is required only for reverse route setting: at each hop the node copies its own
IP address in IP header source field so that when the next node process AODV RREQ message it is eassy to get the previous hop, am i correct] 
But this way we are making or assuming  AODV dependent on IP.Today it is IP, tomorrow it can be any thing...
...

am i correct?

Thanks
Prasad.

On Tue, Nov 13, 2001 at 08:28:14PM -0500, Samir R. Das wrote:
> Sorry, my mistake. Checksum in IP header is for the IP header only. So,
> looks like we have to depend on the link layer to guarantee the integrity of
> routing packets. I wonder whether any other MANET protocol includes an error
> checking mechanism as a part of the routing packet ...

And IPv6 header doesn't even have checksum, but come on..  AODV
messages are sent over UDP and UDP has checksum covering also the
data.  Or am I missing something fundamental here?

Regards,

Antti